aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 09:44:50 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 09:44:50 +0000
commit037339bec8822fe30328c48fe7b109f3ed6dbebb (patch)
tree8e97c945f80316521bc4b71371cc988842bdace3 /unmaintained
parentb3eb04ef635daf400e10e118e0c19d872f438a39 (diff)
downloadaports-037339bec8822fe30328c48fe7b109f3ed6dbebb.tar.gz
aports-037339bec8822fe30328c48fe7b109f3ed6dbebb.tar.bz2
aports-037339bec8822fe30328c48fe7b109f3ed6dbebb.tar.xz
testing/wifidog: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/wifidog/APKBUILD39
-rwxr-xr-xunmaintained/wifidog/wifidog.initd39
2 files changed, 78 insertions, 0 deletions
diff --git a/unmaintained/wifidog/APKBUILD b/unmaintained/wifidog/APKBUILD
new file mode 100644
index 0000000000..d3e0a33bd7
--- /dev/null
+++ b/unmaintained/wifidog/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
+pkgname=wifidog
+pkgver=20090925
+pkgrel=2
+pkgdesc="Wifi Captive Portal"
+url="http://dev.wifidog.org/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ wifidog.initd"
+
+_httplib=/usr/lib
+
+_builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr --sysconfdir=/etc/wifidog || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir/" install || return 1
+ mkdir -p "$pkgdir"/etc/wifidog || return
+ cp "$_builddir"/wifidog.conf "$pkgdir"/etc/wifidog/wifidog.conf
+ cp "$_builddir"/wifidog-msg.html "$pkgdir"/etc/wifidog/wifidog-msg.html
+ rm -rf "$pkgdir"/usr/include || return 1
+ rm "$pkgdir"/$_httplib/*.la || return 1
+ rm "$pkgdir"/$_httplib/*.a || return 1
+ install -Dm755 "$srcdir"/wifidog.initd "$pkgdir"/etc/init.d/wifidog \
+ || return 1
+
+}
+
+md5sums="e3ecacba67a91b6ea3c1072ba6c5a0b4 wifidog-20090925.tar.gz
+410267a956ee1b12669353771fe3cafa wifidog.initd"
diff --git a/unmaintained/wifidog/wifidog.initd b/unmaintained/wifidog/wifidog.initd
new file mode 100755
index 0000000000..c5e3b37f08
--- /dev/null
+++ b/unmaintained/wifidog/wifidog.initd
@@ -0,0 +1,39 @@
+#!/sbin/runscript
+# Copyright 2012 Nathan Angelacos for Alpine Linux
+# Distributed under the terms of the GNU General Public License v2
+
+SVCDIR=${SVCDIR:-/etc/wifidog}
+SVC=${SVCNAME#*.}
+if [ -n "${SVC}" ] && [ ${SVCNAME} != "wifidog" ]; then
+ SVCPID="/var/run/wifidog.${SVC}.pid"
+else
+ SVCPID="/var/run/wifidog.pid"
+fi
+SVCCONF="${SVCDIR}/${SVC}.conf"
+
+depend() {
+ need net
+ use dns
+}
+
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ start-stop-daemon --start --exec /usr/bin/wifidog -b -m --pidfile "${SVCPID}" \
+ -- -f -s -c ${SVCCONF} ${CONF} 2&>1 >/dev/null
+ if ! [ -d /proc/`cat ${SVCPID}` ]; then
+ rm -f "${SVCPID}"
+ eend 1
+ return 1
+ fi
+ eend 0
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet \
+ --exec /usr/sbin/wifidog --pidfile "${SVCPID}"
+ eend $?
+}
+